## sysutils 1.2-1

=== memtest-1.0.1/Makefile ===
CC = cc
CFLAGS = -v
REMOVE = rm

MEMTEST_SRC = memtest.c

all: memtest

makemem: $(CC) $(FLAGS) $(MEMTEST_SRC) -o memtest

install:
	chmod 755 memtest

clean:
	rm memtest

=== procinfo-0.9/Makefile ===
# Makefile for procinfo.

CC = gcc -Wall -Wstrict-prototypes
LDLIBS = -lcurses

# Pick your favorites:

CFLAGS = -O6 -fomit-frame-pointer
LDFLAGS = -s

# CFLAGS = -g -DDEBUG #-DPROC_DIR=\"as.d/\"
# LDFLAGS = -g

# CFLAGS = -pg -O6
# LDFLAGS = -pg


### End of configurable options.

all:		procinfo

procinfo:	procinfo.o routines.o

install: procinfo procinfo.8 lsdev.pl lsdev.8
	install procinfo /usr/local/bin/procinfo
	install lsdev.pl /usr/local/bin/lsdev
	install -m 644  procinfo.8 /usr/local/man/man8/procinfo.8
	install -m 644  lsdev.8 /usr/local/man/man8/lsdev.8

clean:
	rm -f procinfo procinfo.0 *.o *~ out

procinfo.o : procinfo.c procinfo.h 
routines.o : routines.c procinfo.h

=== tofrodos-1.0/Makefile ===
# makefile.gcc	Makefile for building with the GNU C compiler on Linux.
# Copyright (c) 1996 by Christopher S L Heng. All rights reserved.

# $Id: makefile.gcc 1.4 1996/06/22 20:53:33 chris Exp $ /*

# This makefile requires the GNU make to work (we use the GNU extensions).

# Define the following if you need
#
#	DEBUG	to add debugging information, eg "make DEBUG=1 all"
#	TARGET	to choose an ELF or a.out build. Defaults to whatever
#		your compiler defaults to. Eg,
#			make TARGET=ELF all
#			make TARGET=AOUT all


ifdef DEBUG
CDEBUG = -g
LDEBUG = -g
else
CDEBUG = -O2
LDEBUG = -s
endif

ifeq ($(TARGET),AOUT)
TFLAG = -b i486-linuxaout
else
TFLAG =
endif

ifndef VERSTR
VERSTR = 0.0
endif

# programs
CC = gcc
CD = cd
CP = cp
GZIP = gzip
INSTALL = install
LN = ln
LD = gcc
MAKE = make
MKDIR = mkdir
MV = mv
RM = rm -f
TAR = tar
ZIP = zip

# flags
CFLAGS = $(DEFINES) $(TFLAG) $(CDEBUG) -c -Wall
GZIPFLAGS = -9
INSTALLBINFLAGS = -m 755
INSTALLDATAFLAGS = -m 644
LDFLAGS = $(TFLAG) $(LDEBUG)
LNFLAGS = -sf
RMRECURFLAGS = -rf
TARFLAGS = cvf
ZIPSRCFLAGS = -r -9

# directories
BINDIR = /usr/local/bin
DISTDIR = tofrodos-$(VERSTR)
MANDIR = /usr/local/man/man1

# filenames
FROMDOS = fromdos
FROMDOSMAN = fromdos.1
FROMDOSTXT = fromdos.txt
TARGZNAME = $(TARNAME).gz
TARNAME = tofrodos-$(VERSTR).tar
TODOS = todos
ZIPSRCNAME = tfd.zip

# lists of filenames
DISTFILES = config.h \
	copying \
	emsg.h \
	fromdos.elf \
	fromdos.exe \
	fromdos.out \
	init.c \
	makefile.gcc \
	readme.txt \
	todos.exe \
	tofrodos.c \
	tofrodos.h \
	tofrodos.lsm \
	utility.c \
	utility.h \
	version.h \
	$(FROMDOSMAN)
OBJS = init.o \
	tofrodos.o \
	utility.o

# implicit rules
.c.o:
	$(CC) $(CFLAGS) $<

# user visible rules
all: $(FROMDOS) $(TODOS)

clean:
	$(RM) $(OBJS)

clobber: clean
	$(RM) $(FROMDOS) $(TODOS) fromdos.elf fromdos.out

dist: $(DISTFILES) $(DISTDIR)
	$(CP) $(DISTFILES) $(DISTDIR)
	$(MV) $(DISTDIR)/makefile.gcc $(DISTDIR)/Makefile
	$(MV) $(DISTDIR)/copying $(DISTDIR)/COPYING
	$(MV) $(DISTDIR)/readme.txt $(DISTDIR)/README.TXT
	($(CD) $(DISTDIR) ; $(LN) $(LNFLAGS) fromdos.out todos.out)
	($(CD) $(DISTDIR) ; $(LN) $(LNFLAGS) fromdos.elf todos.elf)

distclean: clobber
	$(RM) $(RMRECURFLAGS) $(DISTDIR)

install: all installman
	$(INSTALL) $(INSTALLBINFLAGS) $(FROMDOS) $(BINDIR)
	($(CD) $(BINDIR) ; $(LN) $(LNFLAGS) fromdos todos)

install.elf: fromdos.elf installman
	$(INSTALL) $(INSTALLBINFLAGS) fromdos.elf $(BINDIR)/fromdos
	($(CD) $(BINDIR) ; $(LN) $(LNFLAGS) fromdos todos)

install.out: fromdos.out installman
	$(INSTALL) $(INSTALLBINFLAGS) fromdos.out $(BINDIR)/fromdos
	($(CD) $(BINDIR) ; $(LN) $(LNFLAGS) fromdos todos)

installman: $(FROMDOSMAN)
	$(INSTALL) $(INSTALLDATAFLAGS) $(FROMDOSMAN) $(MANDIR)
	($(CD) $(MANDIR) ; $(LN) $(LNFLAGS) fromdos.1 todos.1)

save:
	$(ZIP) $(ZIPSRCFLAGS) $(ZIPSRCNAME) *

tardist: $(TARGZNAME)


# real rules
fromdos.out:
	$(RM) $(OBJS)
	$(MAKE) TARGET=AOUT $(FROMDOS)
	$(MV) $(FROMDOS) $@

fromdos.elf:
	$(RM) $(OBJS)
	$(MAKE) TARGET=ELF $(FROMDOS)
	$(MV) $(FROMDOS) $@

todos.out: fromdos.out
	$(LN) $(LNFLAGS) fromdos.out $@

todos.elf: fromdos.elf
	$(LN) $(LNFLAGS) fromdos.elf $@

$(DISTDIR):
	$(MKDIR) $(DISTDIR)

$(FROMDOS): $(OBJS)
	$(CC) $(LDFLAGS) -o $(FROMDOS) $(OBJS)

$(FROMDOSTXT): $(FROMDOSMAN)
	gtbl $(FROMDOSMAN) | groff -Tascii -mandoc | \
		troff -Tascii -mandoc | grotty > $@

$(TARGZNAME): dist
	$(TAR) $(TARFLAGS) $(TARNAME) $(DISTDIR)
	$(GZIP) $(GZIPFLAGS) $(TARNAME)

$(TODOS): $(FROMDOS)
	$(LN) $(LNFLAGS) $(FROMDOS) $(TODOS)

# objects
init.o: init.c config.h emsg.h tofrodos.h utility.h version.h

tofrodos.o: tofrodos.c config.h emsg.h tofrodos.h utility.h version.h

utility.o: utility.c config.h emsg.h tofrodos.h utility.h


# The following information is for the information of the maintainer of
# the package only.

# To make the distribution tar file, you need to define VERSTR to the
# version number. Eg, for a version 1.0 release, define VERSTR=1.0
# Hence a make command line would read
#	make VERSTR=1.0 tardist
# If VERSTR is not defined at any time, it defaults to 0.0 (to remind
# you that you forgot something!).
#
# Before making tardist, you need to compile in DOS first.

## sysutils 1.3.2

=== procinfo-0.9/Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 	install -m 644  lsdev.8 /usr/local/man/man8/lsdev.8
 
 clean:
-	rm -f procinfo procinfo.0 *.o *~ out
+	-rm -f procinfo procinfo.0 *.o *~ out
 
 procinfo.o : procinfo.c procinfo.h 
 routines.o : routines.c procinfo.h

=== tofrodos-1.0/Makefile ===
--- 
+++ 
@@ -102,7 +102,7 @@
 all: $(FROMDOS) $(TODOS)
 
 clean:
-	$(RM) $(OBJS)
+	-$(RM) $(OBJS) $(FROMDOS) $(TODOS)
 
 clobber: clean
 	$(RM) $(FROMDOS) $(TODOS) fromdos.elf fromdos.out

=== debian/changelog ===
sysutils (1.3.2) unstable; urgency=low

  * New release corrected a couple of debian/rules issues.

 -- Michael Alan Dorman <mdorman@debian.org>  Sun, 17 Dec 2017 03:53:58 -0500

sysutils (1.3.1) unstable; urgency=low

  * Nonmaintainerrelease for libc6

 -- Christoph Lameter <clameter@debian.org>  Thu, 13 Nov 1997 10:45:08 +0000

sysutils (1.3) unstable; urgency=low

  * New packaging scheme instituted

 -- Michael Alan Dorman <mdorman@debian.org>  Fri,  4 Jul 1997 20:57:19 -0400

Local variables:
mode: debian-changelog
user-mail-address: "mdorman@debian.org"
End:

=== debian/control ===
Source: sysutils
Maintainer: Michael Alan Dorman <mdorman@debian.org>
Standards-Version: 2.3.0.1

Package: sysutils
Architecture: any
Depends: perl, ${shlibs:Depends}
Conflicts: bogo, memtest, procinfo
Description: Miscellaneous small system utilities.
 This is a package encorporating various small utilities which are:
  *  procinfo - Displays system information from /proc (v0.9).
  *   memtest - Test system memory for errors (v1.0.1).
  *      bogo - Shows the current bogomips rating without rebooting (v1.2).
  *  tofrodos - Converts DOS <-> Unix text files (v1.0).

=== debian/rules ===
#!/usr/bin/make -f

package=sysutils
tempdir=$(shell pwd)/debian/tmp
insdirs=$(tempdir)/$(package)/DEBIAN \
	$(tempdir)/$(package)/usr/bin \
	$(tempdir)/$(package)/usr/doc/$(package) \
	$(tempdir)/$(package)/usr/man/man1 \
	$(tempdir)/$(package)/usr/man/man8 \
	$(tempdir)/$(package)/usr/sbin

binary: binary-indep binary-arch

binary-arch: debian/control checkroot build $(insdirs)
	install -m 755 procinfo-0.9/procinfo $(tempdir)/$(package)/usr/bin
	install -m 755 procinfo-0.9/lsdev.pl $(tempdir)/$(package)/usr/bin/lsdev
	install -m 755 memtest-1.0.1/memtest $(tempdir)/$(package)/usr/sbin
	install -m 755 bogo-1.2/bogomips $(tempdir)/$(package)/usr/bin
	install -m 755 tofrodos-1.0/fromdos $(tempdir)/$(package)/usr/bin/fromdos
	( cd $(tempdir)/$(package)/usr/bin ; ln -s fromdos todos ; ln -s fromdos dos2unix ; ln -s fromdos unix2dos )
	install -m 644 debian/sysutils.1 $(tempdir)/$(package)/usr/man/man1
	install -m 644 procinfo-0.9/procinfo.8 $(tempdir)/$(package)/usr/man/man8
	install -m 644 procinfo-0.9/lsdev.8 $(tempdir)/$(package)/usr/man/man8/lsdev.8
	install -m 644 memtest-1.0.1/memtest.1 $(tempdir)/$(package)/usr/man/man1
	install -m 644 bogo-1.2/bogomips.1 $(tempdir)/$(package)/usr/man/man1
	install -m 644 tofrodos-1.0/fromdos.1 $(tempdir)/$(package)/usr/man/man1/fromdos.1
	( cd $(tempdir)/$(package)/usr/man/man1 ; ln -s fromdos.1.gz todos.1 ; ln -s fromdos.1.gz dos2unix.1 ; ln -s fromdos.1.gz unix2dos.1 )
	install -m 644 debian/changelog $(tempdir)/$(package)/usr/doc/$(package)/changelog.debian
	install -m 644 debian/copyright $(tempdir)/$(package)/usr/doc/$(package)
	find $(tempdir)/$(package)/usr/doc -type f | xargs -r gzip -v9	
	find $(tempdir)/$(package)/usr/man -type f | xargs -r gzip -v9	
	dpkg-shlibdeps procinfo-0.9/procinfo memtest-1.0.1/memtest bogo-1.2/bogomips tofrodos-1.0/fromdos
	dpkg-gencontrol -P$(tempdir)/$(package) -p$(package)
	dpkg --build $(tempdir)/$(package) ..

binary-indep: debian/control checkroot build $(insdirs)

CC = gcc
CFLAGS = -O2 -fomit-frame-pointer
LDFLAGS = -s

build: debian/control
	( cd procinfo-0.9 && make CFLAGS="$(CFLAGS) -s" LDFLAGS="$(LDFLAGS)" LDLIBS="-lncurses" )
	( cd memtest-1.0.1 && make CFLAGS="$(CFLAGS) -s" LDFLAGS="$(LDFLAGS)" )
	( cd bogo-1.2 && make CFLAGS="$(CFLAGS) -s -finline-functions -Wall" LDFLAGS="$(LDFLAGS)" )
	( cd tofrodos-1.0 && make CFLAGS="$(CFLAGS) -c -s -Wall" LDFLAGS="$(LDFLAGS)" )
	touch build

checkroot: debian/control
	test "root" = "$(shell whoami)"

clean: debian/control
	( cd bogo-1.2 && make clean )
	( cd memtest-1.0.1 && make clean )
	( cd procinfo-0.9 && make clean )
	( cd tofrodos-1.0 && make clean )
	for i in build debian/files `find -name "*~"`; do \
		if [ -e $$i ]; then \
			rm -f $$i; \
		fi; \
	done
	for i in $(tempdir); do \
		if [ -d $$i ]; then \
			rm -rf $$i; \
		fi; \
	done

$(insdirs):
	if [ -d $@ ]; then \
		rm -rf $@; \
	fi
	install -d -m 755 $@
	chmod g-s $@

.PHONY: binary binary-arch binary-indep checkroot clean

#Local variables:
#mode: makefile
#End:

## sysutils 1.3.6.1

=== bogo-1.2/Makefile ===
#
# Makefile for bogomips program
#

# uncomment one of the followng definitions for DEFS

# use this for the portable bogomips program
DEFS	= -DPORTABLE_BOGOMIPS

# use this for the original Linux bogomips program
#DEFS	= -DCLASSIC_BOGOMIPS

# use this for the QNX specific bogomips program
#DEFS	= -DQNX_BOGOMIPS

# uncomment this if your system does not define CLOCKS_PER_SEC
# should match units returned by clock() function
# the value below works for SunOS 4.1
#DEFS	= -DPORTABLE_BOGOMIPS -DCLOCKS_PER_SEC=1000000

# use these flags if using gcc
CC	= gcc
CFLAGS	= -Wall -O2 -fomit-frame-pointer -finline-functions -N -s

# use these flags if you are not using gcc; modify as needed
#CC	= cc
#CFLAGS	= -O

bogomips: bogomips.c
	$(CC) $(DEFS) $(CFLAGS) -o bogomips bogomips.c

clean:
	-$(RM) bogomips

install: bogomips bogomips.1
	cp bogomips /usr/local/bin/bogomips
	cp bogomips.1 /usr/local/man/man1/bogomips.1

dist:
	cd .. ; \
	tar -czvf bogo-1.2.tar.gz \
	bogo-1.2/{bogomips.c,bogomips.1,README,INSTALLING,TODO,CHANGES,BUGS,Makefile}

=== memtest-1.0.1/Makefile ===
--- 
+++ 
@@ -12,4 +12,4 @@
 	chmod 755 memtest
 
 clean:
-	rm memtest
+	-rm memtest

=== tofrodos-1.4/Makefile ===
# makefile.gcc	Makefile for building with the GNU C compiler on Linux.
# Copyright (c) 1996,1997 by Christopher S L Heng. All rights reserved.

# $Id: makefile.gcc 1.6 1997/10/08 17:48:17 chris Exp $ /*

# This makefile requires the GNU make to work (we use the GNU extensions).

# Define the following if you need
#
#	DEBUG	to add debugging information, eg "make DEBUG=1 all"


ifdef DEBUG
CDEBUG = -g
LDEBUG = -g
else
CDEBUG = -O2
LDEBUG = -s
endif

ifndef VERSTR
VERSTR = 0.0
endif

# programs
CC = gcc
CD = cd
CP = cp
GZIP = gzip
INSTALL = install
LN = ln
LD = gcc
MAKE = make
MKDIR = mkdir
MV = mv
RM = rm -f
TAR = tar
ZIP = zip

# flags
CFLAGS = $(DEFINES) $(TFLAG) $(CDEBUG) -c -Wall
GZIPFLAGS = -9
INSTALLBINFLAGS = -m 755
INSTALLDATAFLAGS = -m 644
LDFLAGS = $(LDEBUG)
LNFLAGS = -sf
RMRECURFLAGS = -rf
TARFLAGS = cvf
ZIPSRCFLAGS = -r -9

# directories
BINDIR = /usr/local/bin
DISTDIR = tofrodos-$(VERSTR)
LIBDIR = lib
LIBDISTDIR = $(DISTDIR)/lib
MANDIR = /usr/local/man/man1

# filenames
FROMDOS = fromdos
FROMDOSMAN = fromdos.1
FROMDOSTXT = fromdos.txt
TARGZNAME = $(TARNAME).gz
TARNAME = tofrodos-$(VERSTR).tar
TODOS = todos
ZIPSRCNAME = tfd.zip

# lists of filenames
DISTFILES = config.h \
	copying \
	emsg.h \
	fromdos \
	init.c \
	makefile.bc \
	makefile.gcc \
	makefile.vc \
	makefile.wcc \
	readme.txt \
	todos16.exe \
	todos32.exe \
	tofrodos.c \
	tofrodos.h \
	tofrodos.lsm \
	utility.c \
	utility.h \
	version.h \
	$(FROMDOSMAN)
LIBDISTFILES = $(LIBDIR)/getopt.c \
	$(LIBDIR)/getopt.h \
	$(LIBDIR)/mktemp.c \
	$(LIBDIR)/mktemp.h
OBJS = init.o \
	tofrodos.o \
	utility.o

# implicit rules
.c.o:
	$(CC) $(CFLAGS) $<

# user visible rules
all: $(FROMDOS) $(TODOS)

clean:
	$(RM) $(OBJS)

clobber: clean
	$(RM) $(FROMDOS) $(TODOS)

dist: $(DISTFILES) $(DISTDIR) $(LIBDISTDIR)
	$(CP) $(DISTFILES) $(DISTDIR)
	$(CP) $(LIBDISTFILES) $(LIBDISTDIR)
	$(MV) $(DISTDIR)/makefile.gcc $(DISTDIR)/Makefile
	$(MV) $(DISTDIR)/copying $(DISTDIR)/COPYING
	$(MV) $(DISTDIR)/readme.txt $(DISTDIR)/README.TXT
	($(CD) $(DISTDIR) ; $(LN) $(LNFLAGS) fromdos todos)

distclean: clobber
	$(RM) $(RMRECURFLAGS) $(DISTDIR)

install: installman
	$(INSTALL) $(INSTALLBINFLAGS) $(FROMDOS) $(BINDIR)
	($(CD) $(BINDIR) ; $(LN) $(LNFLAGS) fromdos todos)

installman: $(FROMDOSMAN)
	$(INSTALL) $(INSTALLDATAFLAGS) $(FROMDOSMAN) $(MANDIR)
	($(CD) $(MANDIR) ; $(LN) $(LNFLAGS) fromdos.1 todos.1)

save:
	$(ZIP) $(ZIPSRCFLAGS) $(ZIPSRCNAME) *

tardist: $(TARGZNAME)


# real rules
$(DISTDIR):
	$(MKDIR) $(DISTDIR)

$(FROMDOS): $(OBJS)
	$(CC) $(LDFLAGS) -o $(FROMDOS) $(OBJS)

$(FROMDOSTXT): $(FROMDOSMAN)
	gtbl $(FROMDOSMAN) | groff -Tascii -mandoc | \
		troff -Tascii -mandoc | grotty > $@

$(LIBDISTDIR):
	$(MKDIR) $(LIBDISTDIR)

$(TARGZNAME): dist
	$(TAR) $(TARFLAGS) $(TARNAME) $(DISTDIR)
	$(GZIP) $(GZIPFLAGS) $(TARNAME)

$(TODOS): $(FROMDOS)
	$(LN) $(LNFLAGS) $(FROMDOS) $(TODOS)

# objects
init.o: init.c config.h emsg.h tofrodos.h utility.h version.h

tofrodos.o: tofrodos.c config.h emsg.h tofrodos.h utility.h version.h

utility.o: utility.c config.h emsg.h tofrodos.h utility.h


# The following information is for the information of the maintainer of
# the package only.

# To make the distribution tar file, you need to define VERSTR to the
# version number. Eg, for a version 1.0 release, define VERSTR=1.0
# Hence a make command line would read
#	make VERSTR=1.0 tardist
# If VERSTR is not defined at any time, it defaults to 0.0 (to remind
# you that you forgot something!).
#
# Before making tardist, you need to compile in DOS first.

=== debian/changelog ===
sysutils (1.3.6.1) unstable; urgency=low

  * Orphaned.  I only ever took it because it needed to be moved to
    the new packaging scheme.  I don't use it.  I don't even have it
    installed.

 -- Michael Alan Dorman <mdorman@debian.org>  Sun, 10 Oct 1999 15:41:07 -0400

sysutils (1.3.6) unstable; urgency=low

  * Corrected perl dependency (closes: bug#41489, bug#41401)

 -- Michael Alan Dorman <mdorman@debian.org>  Mon, 19 Jul 1999 09:44:42 -0400

sysutils (1.3.5) unstable; urgency=low

  * New version of procinfo. (closes: bug#37794, bug#36468, bug#33924)
  * Perms bugs taken care of (closes: bug#36831) 
  * Last update also corrected problems with absolute file names (closes: bug#29747)

 -- Michael Alan Dorman <mdorman@debian.org>  Sun, 11 Jul 1999 16:24:24 -0400

sysutils (1.3.4) unstable; urgency=low

  * Close old fixed bug (closes: bug#5989)
  * Close old fixed bug (closes: bug#7682)
  * Code in procinfo should cope with no /proc/modules (closes: bug#13515)
  * Updated procinfo (closes: bug#29392)
  * Corrected description of included packages (closes: bug#30125)
  * procinfo update prints all irqs (closes: bug#31036)
  * tofrodos does work (closes: bug#33535)
  * tofrodos now has switch to preserve ownership (closes: bug#35172)

 -- Michael Alan Dorman <mdorman@debian.org>  Mon, 29 Mar 1999 14:02:41 -0500

sysutils (1.3.3) unstable; urgency=low

  * New release.
  * Correct package description. (Bug#10375,18966)
  * Update version of procinfo to latest. (Bug#12079,18269,19929,23010)
  * Correct extention of manpage symlinks.  (Bug#18562,24952)
  * Correct declaration of argv in memtest.  (Bug#23581)

 -- Michael Alan Dorman <mdorman@debian.org>  Sun,  1 Nov 1998 14:59:59 -0500

=== debian/control ===
Source: sysutils
Maintainer: Debian QA Group <debian-qa@lists.debian.org>
Standards-Version: 2.5.0.0

Package: sysutils
Architecture: any
Depends: ${perl:Depends}, ${sysutils:Depends}
Conflicts: bogo, memtest, procinfo
Description: Miscellaneous small system utilities.
 This is a package incorporating various small utilities which are:
  *  procinfo - Displays system information from /proc (v16).
  *   memtest - Test system memory for errors (v1.0.1).
  *      bogo - Shows the current bogomips rating without rebooting (v1.2).
  * tofromdos - Converts DOS <-> Unix text files (v1.4).

=== debian/rules ===
#!/usr/bin/make -f

package=sysutils
tempdir=$(shell pwd)/debian/tmp
insdirs=$(tempdir)/$(package)/DEBIAN \
	$(tempdir)/$(package)/usr/bin \
	$(tempdir)/$(package)/usr/doc/$(package) \
	$(tempdir)/$(package)/usr/man/man1 \
	$(tempdir)/$(package)/usr/man/man8 \
	$(tempdir)/$(package)/usr/sbin

binary: binary-indep binary-arch

binary-arch: debian/control checkroot build $(insdirs)
	install -m 644 debian/sysutils.1 $(tempdir)/$(package)/usr/man/man1
	install -m 755 bogo-1.2/bogomips $(tempdir)/$(package)/usr/bin
	install -m 644 bogo-1.2/bogomips.1 $(tempdir)/$(package)/usr/man/man1
	install -m 755 memtest-1.0.1/memtest $(tempdir)/$(package)/usr/sbin
	install -m 644 memtest-1.0.1/memtest.1 $(tempdir)/$(package)/usr/man/man1
	install -m 755 procinfo-17/procinfo $(tempdir)/$(package)/usr/bin
	install -m 755 procinfo-17/lsdev.pl $(tempdir)/$(package)/usr/bin/lsdev
	install -m 644 procinfo-17/procinfo.8 $(tempdir)/$(package)/usr/man/man8
	install -m 644 procinfo-17/lsdev.8 $(tempdir)/$(package)/usr/man/man8/lsdev.8
	install -m 755 tofrodos-1.4/fromdos $(tempdir)/$(package)/usr/bin/fromdos
	install -m 644 tofrodos-1.4/fromdos.1 $(tempdir)/$(package)/usr/man/man1/fromdos.1
	ln -s fromdos $(tempdir)/$(package)/usr/bin/todos
	ln -s fromdos $(tempdir)/$(package)/usr/bin/dos2unix
	ln -s fromdos $(tempdir)/$(package)/usr/bin/unix2dos


	install -m 644 debian/changelog $(tempdir)/$(package)/usr/doc/$(package)/changelog
	find $(tempdir)/$(package)/usr/doc -type f | xargs -r gzip -v9	
	install -m 644 debian/copyright $(tempdir)/$(package)/usr/doc/$(package)
	find $(tempdir)/$(package)/usr/man -type f | xargs -r gzip -v9
	ln -s fromdos.1.gz $(tempdir)/$(package)/usr/man/man1/todos.1.gz
	ln -s fromdos.1.gz $(tempdir)/$(package)/usr/man/man1/dos2unix.1.gz
	ln -s fromdos.1.gz $(tempdir)/$(package)/usr/man/man1/unix2dos.1.gz
	dh_fixperms
	dh_perl
	dpkg-shlibdeps -p$(package) procinfo-17/procinfo memtest-1.0.1/memtest bogo-1.2/bogomips tofrodos-1.4/fromdos
	dpkg-gencontrol -P$(tempdir)/$(package) -p$(package)
	dpkg --build $(tempdir)/$(package) ..

binary-indep: debian/control checkroot build $(insdirs)

CC = gcc
CFLAGS = -O2 -fomit-frame-pointer
LDFLAGS = -s

build: debian/control
	cd procinfo-17 && make CFLAGS="$(CFLAGS) -s" LDFLAGS="$(LDFLAGS)" LDLIBS="-lncurses"
	cd memtest-1.0.1 && make CFLAGS="$(CFLAGS) -s" LDFLAGS="$(LDFLAGS)"
	cd bogo-1.2 && make CFLAGS="$(CFLAGS) -s -finline-functions -Wall" LDFLAGS="$(LDFLAGS)"
	cd tofrodos-1.4 && make CFLAGS="$(CFLAGS) -c -s -Wall" LDFLAGS="$(LDFLAGS)"
	touch build

checkroot: debian/control
	test "root" = "$(shell whoami)"

clean: debian/control
	cd bogo-1.2 && make clean
	cd memtest-1.0.1 && make clean
	cd procinfo-17 && make clean
	cd tofrodos-1.4 && make clean
	for i in build debian/files debian/substvars `find -name "*~"`; do \
		if [ -e $$i ]; then \
			rm -f $$i; \
		fi; \
	done
	for i in $(tempdir); do \
		if [ -d $$i ]; then \
			rm -rf $$i; \
		fi; \
	done

$(insdirs):
	if [ -d $@ ]; then \
		rm -rf $@; \
	fi
	install -d -m 755 $@
	chmod g-s $@

.PHONY: binary binary-arch binary-indep checkroot clean

#Local variables:
#mode: makefile
#End:

## sysutils 1.3.8.5.1

=== memtester-2.93.1/Makefile ===
#
# Makefile for memtester by Charles Cazabon.
#
# Copyright (C) 1999 Simon Kirby.
# Version 2 Copyright (C) 1999 Charles Cazabon.
# Licensed under the GNU General Public License version 2.  See the file
# COPYING for details.
#
# See the file ABOUT for details.  See the file CHANGELOG for changes.
#


TARGET		= memtest
SOURCES		= memtest.c memtest-tests.c
BSD_STRSIGNAL = strsignal.c

# If we're making on a SVR5-type system, we need
ifeq ($(MAKECMDGOALS), bsd)
  SOURCES += $(BSD_STRSIGNAL)
endif

OBJECTS		= $(SOURCES:.c=.o)
HEADERS		= memtest.h memtest-tests.h
CLEANOBJS	= core memtest.log
VERSION		= $(shell version_memtest.sh)
TARNAME		= memtester
TAREXT		= tar
GZEXT		= gz
BZ2EXT		= bz2
TARCONTENTS	= Makefile $(SOURCES) $(HEADERS) \
                    README.tests ABOUT BUGS CHANGELOG COPYING TODO memtest.1

#
# Programs
#
CC		= gcc
RM		= rm -f
MV		= mv
CHMOD	= chmod
TAR		= tar
GZIP	= gzip -9
BZIP2	= bzip2 -9 --repetitive-best
CP		= cp
MKDIR	= mkdir

#
# Make variables
#
CFLAGS		+= -Wall -g
DEFINES		+=
INCLUDEDIRS	+=
LDFLAGS		+= -g

ifeq ($(MAKECMDGOALS), debug)
  DEFINES += -DDEBUGMODE=1
  INCLUDEDIRS += -I/users/charlesc/software/personal
endif


#
# Targets
#
all:  $(TARGET) Makefile

debug:  clean all Makefile

normal:  clean all Makefile

bsd:  $(TARGET) Makefile

clean:
	$(RM) $(TARGET) $(OBJECTS) $(CLEANOBJS)

$(TARGET):  $(OBJECTS) Makefile
	$(CC) $(LDFLAGS) -o $(TARGET) $(OBJECTS)

release:  $(TARCONTENTS) clean
	touch $(SOURCES) $(HEADERS) Makefile
	domakemanpage.sh
	gen_cur_ver_frag.sh
	$(RM) -f ABOUT $(TARNAME)-latest.$(TAREXT).$(GZEXT) $(TARNAME)-latest.$(TAREXT).$(BZ2EXT)
	lynx -nolist -dump http://www.qcc.sk.ca/~charlesc/software/$(TARNAME)/ >ABOUT
	$(CHMOD) 644 $(TARCONTENTS) index.shtml current_ver_info_frag.html memtest.pod
	-$(MV) $(TARNAME)*.$(TAREXT).* old-tarballs/
	$(CHMOD) 644 old-tarballs/*
	$(MKDIR) $(TARNAME)-$(VERSION)
	$(CP) $(TARCONTENTS) $(TARNAME)-$(VERSION)/
	$(CHMOD) 755 $(TARNAME)-$(VERSION)
	$(CHMOD) 644 $(TARNAME)-$(VERSION)/*
	$(TAR) cf $(TARNAME)-$(VERSION).$(TAREXT) $(TARNAME)-$(VERSION)
	$(GZIP) -c $(TARNAME)-$(VERSION).$(TAREXT) >$(TARNAME)-$(VERSION).$(TAREXT).$(GZEXT)
	$(BZIP2) -c $(TARNAME)-$(VERSION).$(TAREXT) >$(TARNAME)-$(VERSION).$(TAREXT).$(BZ2EXT)
	$(CHMOD) 644 $(TARNAME)-$(VERSION).$(TAREXT).$(GZEXT)
	$(CHMOD) 644 $(TARNAME)-$(VERSION).$(TAREXT).$(BZ2EXT)
	$(RM) -r $(TARNAME)-$(VERSION) $(TARNAME)-$(VERSION).$(TAREXT)
	ln -s $(TARNAME)-$(VERSION).$(TAREXT).$(GZEXT) $(TARNAME)-latest.$(TAREXT).$(GZEXT)
	ln -s $(TARNAME)-$(VERSION).$(TAREXT).$(BZ2EXT) $(TARNAME)-latest.$(TAREXT).$(BZ2EXT)
	@echo "Done."

#
# Compiling rules
#
%.o : %.c
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDEDIRS) -c -o $(<:.c=.o) $<

=== debian/changelog ===
sysutils (1.3.8.5.1) unstable; urgency=low

  * Non-maintainer upload, with the maintainer's permission.
  * Install /usr/doc symlink in the postinst and remove it in the prerm,
    rather than directly in the .deb (closes: #120025, #124304).
  * Call dh_clean in debian/rules' clean target.
  * Add 'Section: utils' to control file.

 -- Colin Watson <cjwatson@debian.org>  Fri, 11 Jan 2002 02:14:29 +0000

sysutils (1.3.8.5) unstable; urgency=low

  * Fixed missing /usr/doc symlink (closes: bug#96211)

 -- Lonnie Sauter <sauter@debian.org>  Thu, 03 May 2001 15:41:07 -0600

sysutils (1.3.8.4) unstable; urgency=low

  * Fixed missing debhelper in Build-Depends (closes: bug#92267)
  * New version of procinfo 18

 -- Lonnie Sauter <sauter@debian.org>  Sun, 22 Apr 2001 15:41:07 -0600

sysutils (1.3.8.3) unstable; urgency=low

  * Fixed missing depends (closes: bug#93611)

 -- Lonnie Sauter <sauter@debian.org>  Sat, 7 Apr 2001 15:41:07 -0600

sysutils (1.3.8.2) unstable; urgency=low

  * Fixed missing build depends in source package (closes: bug#92267)

 -- Lonnie Sauter <sauter@debian.org>  Sat, 7 Apr 2001 15:41:07 -0600

sysutils (1.3.8.1) stable; urgency=low

  * New version of memtester (2.93.1)
  * Fix typo in package description (closes: bug#74065)
    Patch received from Raphael Manfredi <Raphael_Manfredi@pobox.com>

 -- Lonnie Sauter <sauter@debian.org>  Thu, 1 Nov 2000 15:41:07 -0400

sysutils (1.3.7.2) unstable; urgency=low

  * patch to fix running "procinfo -d" on SMP kernels.
    Patch received from Raphael Manfredi <Raphael_Manfredi@pobox.com>

 -- Lonnie Sauter <sauter@debian.org>  Thu, 4 May 2000 15:41:07 -0400

sysutils (1.3.7.1) unstable; urgency=low

  * patch to fix SIGILL in procinfo on alpha/sparc/etc (closes: bug#46144).
    Patch received from Jason Gunthorpe <jgg@auric.debian.org>.

 -- Lonnie Sauter <sauter@debian.org>  Sat, 5 Feb 2000 15:41:07 -0400

sysutils (1.3.7) unstable; urgency=low

  * New version of memtest (closes: bug#52062)

 -- Lonnie Sauter <sauter@debian.org>  Sun, 9 Jan 2000 15:41:07 -0400

sysutils (1.3.6.2) unstable; urgency=low

  * I just took over this package.

 -- Lonnie Sauter <sauter@debian.org>  Sun, 9 Jan 2000 15:41:07 -0400

=== debian/control ===
Source: sysutils
Section: utils
Priority: optional
Maintainer: Lonnie Sauter <sauter@debian.org>
Standards-Version: 3.1.0
Build-Depends: libncurses5-dev, debhelper

Package: sysutils
Architecture: any
Depends: libncurses5
Conflicts: bogo, memtest, procinfo
Replaces: bogo, memtest, procinfo
Description: Miscellaneous small system utilities.
 This is a package incorporating various small utilities which are:
  *  procinfo - Displays system information from /proc (v17).
  *   memtest - Test system memory for errors (v2.93.1).
  *  bogomips - Shows the current bogomips rating without rebooting (v1.2).
  * tofromdos - Converts DOS <-> Unix text files (v1.4).

=== debian/rules ===
#!/usr/bin/make -f

package=sysutils
tempdir=$(shell pwd)/debian/tmp
insdirs=$(tempdir)/$(package)/DEBIAN \
	$(tempdir)/$(package)/usr/bin \
	$(tempdir)/$(package)/usr/share/doc/$(package) \
	$(tempdir)/$(package)/usr/share/man/man1 \
	$(tempdir)/$(package)/usr/share/man/man8 \
	$(tempdir)/$(package)/usr/sbin

binary: binary-indep binary-arch

binary-arch: debian/control checkroot build $(insdirs)
	install -m 644 debian/sysutils.1 $(tempdir)/$(package)/usr/share/man/man1
	install -m 755 bogo-1.2/bogomips $(tempdir)/$(package)/usr/bin
	install -m 644 bogo-1.2/bogomips.1 $(tempdir)/$(package)/usr/share/man/man1
	install -m 755 memtester-2.93.1/memtest $(tempdir)/$(package)/usr/sbin
	install -m 644 memtester-2.93.1/memtest.1 $(tempdir)/$(package)/usr/share/man/man1
	install -m 755 procinfo-18/procinfo $(tempdir)/$(package)/usr/bin
	install -m 755 procinfo-18/lsdev.pl $(tempdir)/$(package)/usr/bin/lsdev
	install -m 644 procinfo-18/procinfo.8 $(tempdir)/$(package)/usr/share/man/man8
	install -m 644 procinfo-18/lsdev.8 $(tempdir)/$(package)/usr/share/man/man8/lsdev.8
	install -m 755 tofrodos-1.4/fromdos $(tempdir)/$(package)/usr/bin/fromdos
	install -m 644 tofrodos-1.4/fromdos.1 $(tempdir)/$(package)/usr/share/man/man1/fromdos.1
	ln -s fromdos $(tempdir)/$(package)/usr/bin/todos
	ln -s fromdos $(tempdir)/$(package)/usr/bin/dos2unix
	ln -s fromdos $(tempdir)/$(package)/usr/bin/unix2dos


	install -m 644 debian/changelog $(tempdir)/$(package)/usr/share/doc/$(package)/changelog
	find $(tempdir)/$(package)/usr/share/doc -type f | xargs -r gzip -v9	
	install -m 644 debian/copyright $(tempdir)/$(package)/usr/share/doc/$(package)
	find $(tempdir)/$(package)/usr/share/man -type f | xargs -r gzip -v9
	ln -s fromdos.1.gz $(tempdir)/$(package)/usr/share/man/man1/todos.1.gz
	ln -s fromdos.1.gz $(tempdir)/$(package)/usr/share/man/man1/dos2unix.1.gz
	ln -s fromdos.1.gz $(tempdir)/$(package)/usr/share/man/man1/unix2dos.1.gz
	dh_fixperms
	dh_perl
	dh_installdeb -P$(tempdir)/$(package)
	dpkg-shlibdeps -p$(package) procinfo-18/procinfo memtester-2.93.1/memtest bogo-1.2/bogomips tofrodos-1.4/fromdos
	dpkg-gencontrol -P$(tempdir)/$(package) -p$(package)
	dpkg --build $(tempdir)/$(package) ..

binary-indep: debian/control checkroot build $(insdirs)

CC = gcc
CFLAGS = -O2 -fomit-frame-pointer
LDFLAGS = -s

build: debian/control
	cd procinfo-18 && make CFLAGS="$(CFLAGS) -s" LDFLAGS="$(LDFLAGS)" LDLIBS="-lncurses"
	cd memtester-2.93.1 && make CFLAGS="$(CFLAGS) -s" LDFLAGS="$(LDFLAGS)"
	cd bogo-1.2 && make CFLAGS="$(CFLAGS) -s -finline-functions -Wall" LDFLAGS="$(LDFLAGS)"
	cd tofrodos-1.4 && make CFLAGS="$(CFLAGS) -c -s -Wall" LDFLAGS="$(LDFLAGS)"
	touch build

checkroot: debian/control
	test "root" = "$(shell whoami)"

clean: debian/control
	cd bogo-1.2 && make clean
	cd memtester-2.93.1 && make clean
	cd procinfo-18 && make clean
	cd tofrodos-1.4 && make clean
	for i in build debian/files debian/substvars `find -name "*~"`; do \
		if [ -e $$i ]; then \
			rm -f $$i; \
		fi; \
	done
	for i in $(tempdir); do \
		if [ -d $$i ]; then \
			rm -rf $$i; \
		fi; \
	done
	dh_clean

$(insdirs):
	if [ -d $@ ]; then \
		rm -rf $@; \
	fi
	install -d -m 755 $@
	chmod g-s $@

.PHONY: binary binary-arch binary-indep checkroot clean

#Local variables:
#mode: makefile
#End:

## sysutils 2.0.1

=== debian/changelog ===
sysutils (2.0.1) unstable; urgency=low

  * The sysutils package previously contained the utilities
    - memtester
    - procinfo
    - tofrodos
    - bogomips
    Except for the latter they are all split out into a separate package
    now as those utilities are fairly disconnected. This will eventually
    fix bug#253302. Please use those packages from now on, sysutils will
    remain as a dummy package for the time being and eventually be removed
    (Closes: #344566).
    bogomips will be just dropped, use "cat /proc/cpuinfo | grep ^bogo"
    instead (Closes: #341125).

 -- Florian Ernst <florian@debian.org>  Wed,  4 Jan 2006 02:35:10 +0100

sysutils (2.0.0-1) unstable; urgency=low

  * A plethora of changes, so jumping to version 2.0.0 for now
  * New maintainer, taking over with the previous maintainer's consent
    + changing to non-native packaging for the time being
    + follow current standards / best practices
      - make sure the package includes a Section header (Closes: #226303)
      - correct copyright reference and manpage placement (Closes: #127123)
      - extend / clarify long description, thanks to Justin B Rye
        (Closes: #332818)
      - drop legacy Conflicts and Replaces that were once necessary for Potato
    + using dpatch for any in-package adjustments
  * New upstream releases of most subparts (Closes: #340153), like
    + bogomips updated to 1.4.1
      - supposedly doesn't just fail on error (Closes: #198757)
    + memtester updated to 4.0.5
      - doesn't segfault anymore on a 2.6 kernel (Closes: #287611)
      - rewritten to be 64-bit clean (Closes: #126776)
      - can be run as non-root user, thus allows special tests
        (Closes: #259425), so also moving to /usr/bin
    + tofrodos updated to 1.7.6 (Closes: #306191)
      - dos2unix errors now go to stderr, not stdout (Closes: #140956)
      - dos2unix now behaves as expected (Closes: #149116)
      - clarifies symlinks (Closes: #180723)
      - corrects -d and -u explanation in manpage (Closes: #177874)
  * Further changes:
    + procinfo:
      - add 41_procinfo_use_HZ_from_kernel.dpatch, thanks to Guus Sliepen
        (Closes: #94337)
      - add 42_procinfo_paging_swap_disk_statistics_on_2.6.dpatch and
        43_procinfo_fix_CPU_percentage_display_on_2.6.dpatch, thanks to
        Arkadi Shishlov for the pointer and patch (Closes: #293429, #266589);
        this combined with 48_procinfo_simplify_counting_CPUs.dpatch allows
        procinfo to add up correctly on sparc, thanks to Peter Hunter
        (Closes: #174645)
      - add 44_procinfo_extend_load_average_in_manpage.dpatch, thanks to
        Kingsley G. Morse Jr. (Closes: #153946)
      - add 45_procinfo_prevent_buffer_overflows.dpatch, thanks to Benoit
        Dejean (Closes: #319980)
      - reinclude socklist utility, even though better alternatives such as
        lsof exist (Closes: #161237)
      - add 46_procinfo_manpage_typo.dpatch, thanks to A Costa
        (Closes: #305960)
    + tofrodos:
      - correct one typo in manpage, the others are actually correct, by
        adding 61_tofrodos_manpage_typo.dpatch (Closes: #305959)
    + debian/copyright: updated according to changes
    + debian/{postinst,prerm}: removed, not needed anymore; thus finally
      finishing the /usr/doc transition (Closes: #320084, #322798)
    + debian/sysutils.1: clarified (Closes: #305961)

 -- Florian Ernst <florian@debian.org>  Wed, 23 Nov 2005 22:51:49 +0100

=== debian/control ===
Source: sysutils
Section: utils
Priority: optional
Maintainer: Florian Ernst <florian@debian.org>
Build-Depends-Indep: debhelper (>= 5)
Standards-Version: 3.6.2

Package: sysutils
Architecture: all
Depends: memtester, procinfo, tofrodos
Description: Miscellaneous small system utilities - dummy package
 This package previously incorporated various small utilities:
  * bogomips - Shows the current bogomips rating
  * memtest - From userspace, test system memory for errors,
    aka memtester. This is _not_ memtest86+ or memtest86.
  * procinfo - Displays system information from /proc, this also
    includes lsdev for displaying information about installed hardware
    and socklist for displaying a list of open sockets
  * tofromdos - Converts DOS <-> Unix text files via fromdos/dos2unix /
    todos/unix2dos, aka tofrodos
 .
 However, they have been split out into separate packages, so sysutils
 is just a dummy package depending on these utilities (except for bogomips
 which was dropped) to faciliate upgrades and eventually it will be
 completely removed.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install
# We have nothing to do.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
